Connection API changelog
Changes in the Connection REST API between releases. Each section compares the OpenAPI description of a release with the previous one.
26.1.0
Compared with 26.0.5. API version 4.0 to 5.0. Paths are shown without the /api/5 prefix.
Breaking changes
POST /projects/{projectId}/connections/{connectionId}/apply-template
- the request property
connectionTemplatebecame not nullable - the request property
mapping/conversionsbecame not nullable - the request property
connectionTemplatebecame required - the request property
mappingbecame required - the request property
mapping/conversionsbecame required - the request property
mapping/conversions/items/oneOf[#/components/schemas/BoltAssemblyTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/BoltGradeTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/CleatTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/ConcreteTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/CssTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/ElectrodeTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/MemberTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/PinTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/PlateMaterialTemplateConversion]/allOf[subschema #2]/$typewith a default value became required - the request property
mapping/conversions/items/oneOf[#/components/schemas/TimberTemplateConversion]/allOf[subschema #2]/$typewith a default value became required
GET /projects/{projectId}/connections/{connectionId}/export-iom-connection-data
- the
beams/items/plates/items/materialresponse's propertytypechanged fromstringtoobjectfor status200(shared schema:PlateData, also atfoldedPlates/items/plates/items/material,plates/items/material)
Other changes
Schemas
- removed the schema
ConcreteBlock
GET /projects
- added the optional property
items/connections/items/steelEditionto the response with the200status - added the optional property
items/projectInfo/steelEditionto the response with the200status - removed the optional property
items/connections/items/isCalculatedfrom the response with the200status
POST /projects
- added the new optional request property
steelEdition - added the optional property
connections/items/steelEditionto the response with the200status - added the optional property
projectInfo/steelEditionto the response with the200status - removed the optional property
connections/items/isCalculatedfrom the response with the200status
POST /projects/import-iom-file
- added the optional property
connections/items/steelEditionto the response with the200status - added the optional property
projectInfo/steelEditionto the response with the200status - removed the optional property
connections/items/isCalculatedfrom the response with the200status
POST /projects/open
- added the optional property
connections/items/steelEditionto the response with the200status - added the optional property
projectInfo/steelEditionto the response with the200status - removed the optional property
connections/items/isCalculatedfrom the response with the200status
GET /projects/{projectId}
- added the optional property
connections/items/steelEditionto the response with the200status - added the optional property
projectInfo/steelEditionto the response with the200status - removed the optional property
connections/items/isCalculatedfrom the response with the200status
PUT /projects/{projectId}
- added the new optional request property
steelEdition - added the optional property
connections/items/steelEditionto the response with the200status - added the optional property
projectInfo/steelEditionto the response with the200status - removed the optional property
connections/items/isCalculatedfrom the response with the200status
GET /projects/{projectId}/connections
- added the optional property
items/steelEditionto the response with the200status - removed the optional property
items/isCalculatedfrom the response with the200status
POST /projects/{projectId}/connections
- added the optional property
steelEditionto the response with the200status - removed the optional property
isCalculatedfrom the response with the200status
POST /projects/{projectId}/connections/results
- added the optional property
items/checkResAnchor/items/loadCaseIdto the response with the200status - added the optional property
items/checkResBolt/items/loadCaseIdto the response with the200status
DELETE /projects/{projectId}/connections/{connectionId}
- added the optional property
items/steelEditionto the response with the200status - removed the optional property
items/isCalculatedfrom the response with the200status
GET /projects/{projectId}/connections/{connectionId}
- added the optional property
steelEditionto the response with the200status - removed the optional property
isCalculatedfrom the response with the200status
PUT /projects/{projectId}/connections/{connectionId}
- added the new optional request property
steelEdition - added the optional property
steelEditionto the response with the200status - removed the optional property
isCalculatedfrom the response with the200status
POST /projects/{projectId}/connections/{connectionId}/copy
- added the optional property
steelEditionto the response with the200status - removed the optional property
isCalculatedfrom the response with the200status
GET /projects/{projectId}/connections/{connectionId}/export-iom-connection-data
- added the optional property
anchorGrids/items/concreteBlock/elementto the response with the200status - added the optional property
anchorGrids/items/concreteBlock/idto the response with the200status - added the optional property
anchorGrids/items/concreteBlock/typeNameto the response with the200status - added the optional property
anchorGrids/items/originalModelIdto the response with the200status - added the optional property
beams/items/plates/items/material/elementto the response with the200status (shared schema:PlateData, also atfoldedPlates/items/plates/items/material/element,plates/items/material/element) - added the optional property
beams/items/plates/items/material/idto the response with the200status (shared schema:PlateData, also atfoldedPlates/items/plates/items/material/id,plates/items/material/id) - added the optional property
beams/items/plates/items/material/typeNameto the response with the200status (shared schema:PlateData, also atfoldedPlates/items/plates/items/material/typeName,plates/items/material/typeName) - added the optional property
boltGrids/items/originalModelIdto the response with the200status - added the optional property
pinGrids/items/originalModelIdto the response with the200status - removed the optional property
anchorGrids/items/concreteBlock/heightfrom the response with the200status - removed the optional property
anchorGrids/items/concreteBlock/lenghtfrom the response with the200status - removed the optional property
anchorGrids/items/concreteBlock/materialfrom the response with the200status - removed the optional property
anchorGrids/items/concreteBlock/widthfrom the response with the200status - the response property
beams/items/plates/items/materialbecame not nullable for the status200(shared schema:PlateData, also atfoldedPlates/items/plates/items/material,plates/items/material) - the
beams/items/plates/items/materialresponse's propertytypechanged fromstringtoobjectfor status200(backward compatible) (shared schema:PlateData, also atfoldedPlates/items/plates/items/material,plates/items/material)
POST /projects/{projectId}/connections/{connectionId}/get-default-mapping
- the response property
conversionsbecame not nullable for the status200 - the response property
conversionsbecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/BoltAssemblyTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/BoltGradeTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/CleatTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/ConcreteTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/CssTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/ElectrodeTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/MemberTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/PinTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/PlateMaterialTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200 - the response property
conversions/items/oneOf[#/components/schemas/TimberTemplateConversion]/allOf[subschema #2]/$typebecame required for the status200
DELETE /projects/{projectId}/connections/{connectionId}/load-effects
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/members
- added the optional property
items/position/alignedPlate/partTypeSequenceto the response with the200status (shared schema:ConAlignedPlate, also atitems/position/relatedPlate/partTypeSequence)
POST /projects/{projectId}/connections/{connectionId}/members
- added the new optional request property
position/alignedPlate/partTypeSequence(shared schema:ConAlignedPlate, also atposition/relatedPlate/partTypeSequence) - added the optional property
position/alignedPlate/partTypeSequenceto the response with the200status (shared schema:ConAlignedPlate, also atposition/relatedPlate/partTypeSequence)
PUT /projects/{projectId}/connections/{connectionId}/members
- added the new optional request property
position/alignedPlate/partTypeSequence(shared schema:ConAlignedPlate, also atposition/relatedPlate/partTypeSequence) - added the optional property
position/alignedPlate/partTypeSequenceto the response with the200status (shared schema:ConAlignedPlate, also atposition/relatedPlate/partTypeSequence)
GET /projects/{projectId}/connections/{connectionId}/members/{memberId}
- added the optional property
position/alignedPlate/partTypeSequenceto the response with the200status (shared schema:ConAlignedPlate, also atposition/relatedPlate/partTypeSequence)
GET /projects/{projectId}/connections/{connectionId}/members/{memberId}/linkable-properties
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/members/{memberId}/set-bearing-member
- added the optional property
position/alignedPlate/partTypeSequenceto the response with the200status (shared schema:ConAlignedPlate, also atposition/relatedPlate/partTypeSequence)
GET /projects/{projectId}/connections/{connectionId}/operations/anchor-grid
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/anchor-grid
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/anchor-grid
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/anchor-grid/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/bolt-grid
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/bolt-grid
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/bolt-grid
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/bolt-grid/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/contact
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/contact
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/contact
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/contact-grid
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/contact-grid
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/contact-grid
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/contact-grid/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/contact/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/cut
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/cut
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/cut
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/cut/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/negative-member
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/negative-member
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/negative-member
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/negative-member/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/negative-plate
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/negative-plate
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/negative-plate
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/negative-plate/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/pin-grid
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/pin-grid
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/pin-grid
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/pin-grid/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/plate-cut
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/plate-cut
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/plate-cut
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/plate-cut/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/stiffening-member
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/stiffening-member
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/stiffening-member
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/stiffening-member/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/stiffening-plate
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/stiffening-plate
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/stiffening-plate
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/stiffening-plate/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/weld
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/weld
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/weld
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/weld/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/work-plane
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/operations/work-plane
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/operations/work-plane
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/work-plane/{operationId}
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/operations/{operationId}/linkable-properties
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/parameters
- added the optional property
items/valueTypeto the response with the200status
POST /projects/{projectId}/connections/{connectionId}/parameters
- endpoint added
PUT /projects/{projectId}/connections/{connectionId}/parameters
- added the new optional request property
items/description - added the new optional request property
items/isVisible - added the new optional request property
items/valueType - added the optional property
parameters/items/valueTypeto the response with the200status
GET /projects/{projectId}/connections/{connectionId}/parameters/linkable-properties
- endpoint added
GET /projects/{projectId}/connections/{connectionId}/parameters/links
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/parameters/links
- endpoint added
DELETE /projects/{projectId}/connections/{connectionId}/parameters/links/{linkId}
- endpoint added
DELETE /projects/{projectId}/connections/{connectionId}/parameters/{key}
- endpoint added
POST /projects/{projectId}/connections/{connectionId}/templates/{templateId}/load-defaults
- added the optional property
parameters/items/valueTypeto the response with the200status
GET /projects/{projectId}/get-default-mapping
- added the non-success response with the status
501
GET /projects/{projectId}/materials/cross-sections
- added the optional property
items/definitionto the response with the200status - added the optional property
items/idto the response with the200status - added the optional property
items/nameto the response with the200status - the
items/response's propertytypewas narrowed fromanytoobjectfor status200
POST /projects/{projectId}/materials/cross-sections
- the response's body
typewas narrowed fromanytoobjectfor status200 - added the optional property
definitionto the response with the200status - added the optional property
idto the response with the200status - added the optional property
nameto the response with the200status
POST /projects/{projectId}/materials/cross-sections/parametric
- endpoint added
GET /projects/{projectId}/materials/cross-sections/parametric/shapes
- endpoint added
GET /projects/{projectId}/materials/cross-sections/parametric/shapes/{shapeType}
- endpoint added
PUT /projects/{projectId}/materials/cross-sections/parametric/{cssId}
- endpoint added
GET /projects/{projectId}/materials/cross-sections/{cssId}
- endpoint added
GET /projects/{projectId}/materials/cross-sections/{cssId}/geometry
- endpoint added
POST /projects/{projectId}/update-iom-file
- added the optional property
connections/items/steelEditionto the response with the200status - added the optional property
projectInfo/steelEditionto the response with the200status - removed the optional property
connections/items/isCalculatedfrom the response with the200status
Known issues
- The OpenAPI description of 26.1.0 lists the IOM types
CutData,CutBeamByBeamData,ConcreteBlockDataandWeldDatawithidonly. The service still returns all their properties; only their description is missing. Clients generated from this description may drop these properties.